export const BrowserReducerInitialState = {
    loading:true,
    url:null,
    title:null,
    canGoBack:false,
    canGoForward:false,
    goBack:false,
    goForward:false,
    refresh:false
}

function BrowserReducer(state,action){
    switch(action.type){
        case 'SET_PAGE': {
            return { ...state, url:action.url, title:action.title, canGoBack:action.canGoBack, canGoForward:action.canGoForward }
        }
        case 'SET_LOADING': {
            return { ...state, loading:action.loading }
        }
        case 'GO_BACK': {
            return { ...state, goBack:action.goBack }
        }
        case 'GO_FORWARD': {
            return { ...state, goForward:action.goForward }
        }
        case 'GO_HOME': {
            return { ...state, goHome:action.goHome }
        }
        case 'REFRESH': {
            return { ...state, refresh:action.refresh }
        }
        case 'LOAD_URL':{
            if (action.loadUrl === true){
                return { ...state, loadUrl:true, newUrl:action.newUrl }
            } else {
                return { ...state, loadUrl:false}
            }
        }
        case 'STOP_LOADING':{
            return { ...state, loadUrl: false, stopLoading:action.stopLoading}
        }
        default:{
            return state;
        }
    }
}

export default BrowserReducer;